org.hibernate.validator.internal.metadata.raw

## Class ExecutableElement

- java.lang.Object
- - org.hibernate.validator.internal.metadata.raw.ExecutableElement

-     public abstract class ExecutableElement
      extends Object

  Provides a unified view on `Constructor`s and `Method`s.
  Author:
    Gunnar Morling

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `equals(Object obj)`
    `static ExecutableElement` | `forConstructor(Constructor<?> constructor)`
    `static List<ExecutableElement>` | `forConstructors(Constructor<?>[] constructors)`
    `static ExecutableElement` | `forMethod(Method method)`
    `static List<ExecutableElement>` | `forMethods(Method[] methods)`
    `abstract AccessibleObject` | `getAccessibleObject()`
    `String` | `getAsString()` Returns a string representation of this executable in the form {@code ( ...
    `abstract ElementType` | `getElementType()`
    `static String` | `getExecutableAsString(String name, Class<?>... parameterTypes)` Returns a string representation of an executable with the given name and parameter types in the form {@code ( ...
    `abstract Type[]` | `getGenericParameterTypes()`
    `String` | `getIdentifier()`
    `abstract Member` | `getMember()`
    `abstract Annotation[][]` | `getParameterAnnotations()`
    `abstract List<String>` | `getParameterNames(ParameterNameProvider parameterNameProvider)`
    `abstract Class<?>[]` | `getParameterTypes()`
    `abstract Class<?>` | `getReturnType()`
    `abstract String` | `getSimpleName()`
    `abstract int` | `hashCode()`
    `abstract boolean` | `isGetterMethod()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forConstructor

          public static ExecutableElement forConstructor(Constructor<?> constructor)

    - #### forConstructors

          public static List<ExecutableElement> forConstructors(Constructor<?>[] constructors)

    - #### forMethod

          public static ExecutableElement forMethod(Method method)

    - #### forMethods

          public static List<ExecutableElement> forMethods(Method[] methods)

    - #### getParameterNames

          public abstract List<String> getParameterNames(ParameterNameProvider parameterNameProvider)

    - #### getParameterAnnotations

          public abstract Annotation[][] getParameterAnnotations()

    - #### getParameterTypes

          public abstract Class<?>[] getParameterTypes()

    - #### getReturnType

          public abstract Class<?> getReturnType()

    - #### getGenericParameterTypes

          public abstract Type[] getGenericParameterTypes()

    - #### getAccessibleObject

          public abstract AccessibleObject getAccessibleObject()

    - #### getMember

          public abstract Member getMember()

    - #### getElementType

          public abstract ElementType getElementType()

    - #### getSimpleName

          public abstract String getSimpleName()

    - #### isGetterMethod

          public abstract boolean isGetterMethod()

    - #### getIdentifier

          public String getIdentifier()

    - #### getAsString

          public String getAsString()

      Returns a string representation of this executable in the form `<name>(<parameterType 0> ... <parameterType n>)`, e.g. for logging purposes.
      Returns:
        A string representation of the given executable.

    - #### equals

          public abstract boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public abstract int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getExecutableAsString

          public static String getExecutableAsString(String name,
                                     Class<?>... parameterTypes)

      Returns a string representation of an executable with the given name and parameter types in the form `<name>(<parameterType 0> ... <parameterType n>)`, e.g. for logging purposes.
      Parameters:
        `name` - the name of the executable
        `parameterTypes` - the types of the executable's parameters
      Returns:
        A string representation of the given executable.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved